package com.elsevier.example.music.quarkus;

import com.elsevier.example.music.quarkus.codec.ChartEntryDecoder;
import com.elsevier.example.music.quarkus.codec.CsvChartEntryDecoder;
import com.elsevier.example.music.quarkus.reader.ChartEntryReaderFactory;
import com.elsevier.example.music.quarkus.reader.LocalFileChartEntryReaderFactory;
import com.elsevier.example.music.quarkus.writer.ChartEntryWriterFactory;
import com.elsevier.example.music.quarkus.writer.StdOutChartEntryWriterFactory;

import java.nio.file.Path;

// This file is used to demonstrate and test the conversion functionality locally with the kaggle dataset downloaded to
// a local file.  (The entry point which will be invoked by AWS for the lambda function is Handler.java)
public class Main {
    private static final String DATASET_FILENAME = "music.csv";

    public static void main(String[] args) {
        ChartEntryDecoder chartEntryDecoder = new CsvChartEntryDecoder();
        ChartEntryReaderFactory chartEntryReaderFactory = new
                LocalFileChartEntryReaderFactory(Path.of(DATASET_FILENAME), chartEntryDecoder);
        ChartEntryWriterFactory chartEntryWriterFactory = new StdOutChartEntryWriterFactory();
        ChartEntryCopier chartEntryCopier = new ChartEntryCopier(chartEntryReaderFactory, chartEntryWriterFactory);
        chartEntryCopier.copyEntries();
    }
}
