package com.elsevier.example.music.quarkus.reader;

import com.elsevier.example.music.quarkus.codec.ChartEntryDecoder;

import java.nio.file.Path;

public class LocalFileChartEntryReaderFactory implements ChartEntryReaderFactory{
    private final Path path;
    private final ChartEntryDecoder chartEntryDecoder;

    public LocalFileChartEntryReaderFactory(Path path, ChartEntryDecoder chartEntryDecoder) {
        this.path = path;
        this.chartEntryDecoder = chartEntryDecoder;
    }

    @Override
    public ChartEntryReader build() {
        return new LocalFileChartEntryReader(path, chartEntryDecoder);
    }
}
