package com.elsevier.example.music.quarkus.reader;

import com.elsevier.example.music.quarkus.codec.ChartEntryDecoder;
import software.amazon.awssdk.services.s3.S3Client;

public class S3ChartEntryReaderFactory implements ChartEntryReaderFactory{
    private final String bucket;
    private final String key;
    private final ChartEntryDecoder chartEntryDecoder;
    private final S3Client s3Client;

    public S3ChartEntryReaderFactory(String bucket, String key, ChartEntryDecoder chartEntryDecoder) {
        this.bucket = bucket;
        this.key = key;
        this.chartEntryDecoder = chartEntryDecoder;
        this.s3Client = S3Client.create();
    }

    @Override
    public ChartEntryReader build() {
        return new S3ChartEntryReader(s3Client, bucket, key, chartEntryDecoder);
    }
}
