package com.elsevier.example.music.quarkus.writer;

import software.amazon.awssdk.services.dynamodb.DynamoDbClient;

public class DynamoChartEntryWriterFactory implements ChartEntryWriterFactory {
    private String tableName;
    private final int batchSize;
    private final DynamoDbClient dynamoDbClient;

    public DynamoChartEntryWriterFactory(String tableName, int batchSize) {
        this.tableName = tableName;
        this.batchSize = batchSize;
        this.dynamoDbClient = DynamoDbClient.create();
    }

    public ChartEntryWriter build() {
        return new DynamoChartEntryWriter(dynamoDbClient, tableName, batchSize);
    }
}
